SolrRequestHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.request.SolrRequestHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Interface SolrRequestHandler

All Superinterfaces:
  SolrInfoMBean

All Known Implementing Classes:
  AdminHandlers, AnalysisRequestHandler, AnalysisRequestHandlerBase, BinaryUpdateRequestHandler, ContentStreamHandlerBase, CoreAdminHandler, CSVRequestHandler, DataImportHandler, DisMaxRequestHandler, DisMaxRequestHandler, DocumentAnalysisRequestHandler, DumpRequestHandler, ExtractingRequestHandler, FieldAnalysisRequestHandler, FileFloatSource.ReloadCacheRequestHandler, JsonUpdateRequestHandler, LukeRequestHandler, MoreLikeThisHandler, OldRequestHandler, PingRequestHandler, PluginInfoHandler, PropertiesRequestHandler, ReplicationHandler, RequestHandlerBase, SearchHandler, ShowFileRequestHandler, SolrInfoMBeanHandler, SpellCheckerRequestHandler, StandardRequestHandler, StandardRequestHandler, SystemInfoHandler, TestRequestHandler, ThreadDumpHandler, XmlUpdateRequestHandler, XsltUpdateRequestHandler

    public interface SolrRequestHandler

extends SolrInfoMBean

Implementations of `SolrRequestHandler` are called to handle query requests. Different `SolrRequestHandler`s are registered with the `SolrCore`. One way to register a SolrRequestHandler with the core is thorugh the `solrconfig.xml` file.

Example `solrconfig.xml` entry to register a `SolrRequestHandler` implementation to handle all queries with a query type of "test":

`<requestHandler name="test" class="solr.tst.TestRequestHandler" />`

A single instance of any registered SolrRequestHandler is created via the default constructor and is reused for all relevant queries.

Version:
  $Id: SolrRequestHandler.java 898152 2010-01-12 02:19:56Z ryan $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Method Summary
`void` | `handleRequest(SolrQueryRequest req, SolrQueryResponse rsp)` Handles a query request, this method must be thread safe.
`void` | `init(NamedList args)` `init` will be called just once, immediately after creation.

Methods inherited from interface org.apache.solr.core.SolrInfoMBean
`getCategory, getDescription, getDocs, getName, getSource, getSourceId, getStatistics, getVersion`

Method Detail

### init

    void init(NamedList args)

  `init` will be called just once, immediately after creation.

  The args are user-level initialization parameters that may be specified when declaring a request handler in solrconfig.xml

### handleRequest

    void handleRequest(SolrQueryRequest req,
                       SolrQueryResponse rsp)

  Handles a query request, this method must be thread safe.

  Information about the request may be obtained from `req` and response information may be set using `rsp`.

  There are no mandatory actions that handleRequest must perform. An empty handleRequest implementation would fulfill all interface obligations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD